define('docs/renderers/Action.md', function(require, exports, module) {

  module.exports = {
    "html": "<h3><a class=\"anchor\" name=\"action\" href=\"#action\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>Action</h3><p>Action 是一种特殊的渲染器，它本身是一个按钮，同时它能触发事件。</p>\n<ul>\n<li><code>type</code> 指定为 <code>button</code>。</li>\n<li><code>actionType</code> 【必填】 选项：<code>ajax</code>、<code>link</code>、<code>url</code>、<code>dawer</code>、<code>dialog</code>、<code>confirm</code>、<code>cancel</code>、<code>prev</code>、<code>next</code>、<code>copy</code> 或者 <code>close</code>。</li>\n<li><code>api</code> 当 <code>actionType</code> 为 <code>ajax</code> 时，必须指定，参考 <a href=\"/docs/renderers/Types#Api\">api</a> 格式说明。</li>\n<li><code>link</code> 当 <code>actionType</code> 为 <code>link</code> 时必须指定，用来指定跳转地址，跟 url 不同的是，这是单页跳转方式，不会渲染浏览器，请指定 AMis 平台内的页面。</li>\n<li><code>url</code> 当 <code>actionType</code> 为 <code>url</code> 时必须指定，按钮点击后，会打开指定页面。</li>\n<li><code>blank</code> 当 <code>actionType</code> 为 <code>url</code> 时可选，如果为 false 将在本页面打开。</li>\n<li><code>dialog</code> 当 <code>actionType</code> 为 <code>dialog</code> 时用来指定弹框内容。</li>\n<li><code>dawer</code> 当 <code>actionType</code> 为 <code>drawer</code> 时用来指定抽出式弹框内容。</li>\n<li><code>copy</code> 当 <code>actionType</code> 为 <code>copy</code> 时用来指定复制的内容。</li>\n<li><code>nextCondition</code> 当 <code>actionType</code> 为 <code>dialog</code> 时可以用来设置下一条数据的条件，默认为 <code>true</code>。</li>\n<li><code>confirmText</code> 当设置 <code>confirmText</code> 后，操作在开始前会询问用户。</li>\n<li><code>reload</code> 指定此次操作完后，需要刷新的目标组件名字（组件的 name 指，自己配置的），多个请用 <code>,</code> 号隔开。</li>\n<li><code>feedback</code> 如果 ajax 类型的，当 ajax 返回正常后，还能接着弹出一个 dialog 做其他交互。返回的数据可用于这个 dialog 中。</li>\n<li><code>messages</code>，actionType 为 <code>ajax</code> 时才有用。<ul>\n<li><code>success</code> ajax 操作成功后提示，可以不指定，不指定时以 api 返回为准。</li>\n<li><code>failed</code> ajax 操作失败提示。</li>\n</ul>\n</li>\n</ul>\n<p>示例：</p>\n<ul>\n<li><p><code>ajax</code> 当按钮点击时，发送 ajax 请求，发送的数据取决于所在的容器里面。</p>\n<div class=\"amis-preview\" style=\"height: 400px\"><script type=\"text/schema\" height=\"400\">    {\n      \"data\": {\n        \"user\": \"no one\"\n      },\n      \"body\": {\n        \"label\": \"Post\",\n        \"type\": \"button\",\n        \"actionType\": \"ajax\",\n        \"confirmText\": \"确定？\",\n        \"api\": \"https://houtai.baidu.com/api/mock2/form/saveForm\",\n        \"messages\": {\n          \"success\": \"发送成功\"\n        }\n      }\n    }\n    </script></div>\n</li>\n<li><p><code>link</code> 当按钮点击后，无刷新进入 AMis 内部某个页面。</p>\n<div class=\"amis-preview\" style=\"height: 400px\"><script type=\"text/schema\" height=\"400\">      {\n        \"body\": {\n          \"label\": \"进入简介页面\",\n          \"type\": \"button\",\n          \"level\": \"info\",\n          \"actionType\": \"link\",\n          \"link\": \"/docs/index\"\n        }\n      }\n    </script></div>\n</li>\n<li><p><code>url</code> 当按钮点击后，新窗口打开指定页面。</p>\n<div class=\"amis-preview\" style=\"height: 400px\"><script type=\"text/schema\" height=\"400\">      {\n        \"body\": {\n          \"label\": \"打开 Baidu\",\n          \"type\": \"button\",\n          \"level\": \"success\",\n          \"actionType\": \"url\",\n          \"url\": \"raw:http://www.baidu.com\"\n        }\n      }\n    </script></div>\n</li>\n<li><p><code>dialog</code> 当按钮点击后，弹出一个对话框。 关于 dialog 配置，请查看 <a href=\"/docs/renderers/Dialog\">Dialog 模型</a>。</p>\n<div class=\"amis-preview\" style=\"height: 400px\"><script type=\"text/schema\" height=\"400\">      {\n        \"body\": {\n          \"label\": \"Dialog Form\",\n          \"type\": \"button\",\n          \"level\": \"primary\",\n          \"actionType\": \"dialog\",\n          \"dialog\": {\n            \"title\": \"表单设置\",\n            \"body\": {\n              \"type\": \"form\",\n              \"api\": \"https://houtai.baidu.com/api/mock2/form/saveForm?waitSeconds=1\",\n              \"controls\": [\n                {\n                  \"type\": \"text\",\n                  \"name\": \"text\",\n                  \"label\": \"文本\"\n                }\n              ]\n            }\n          }\n        }\n      }\n    </script></div>\n</li>\n<li><p><code>drawer</code> 当按钮点击后，弹出一个抽出式对话框。 关于 drawer 配置，请查看 <a href=\"/docs/renderers/Drawer\">Drawer 模型</a>。</p>\n<div class=\"amis-preview\" style=\"height: 400px\"><script type=\"text/schema\" height=\"400\">      {\n        \"body\": {\n          \"label\": \"Drawer Form\",\n          \"type\": \"button\",\n          \"level\": \"primary\",\n          \"actionType\": \"drawer\",\n          \"drawer\": {1\n            \"title\": \"表单设置\",\n            \"body\": {\n              \"type\": \"form\",\n              \"api\": \"https://houtai.baidu.com/api/mock2/form/saveForm?waitSeconds=1\",\n              \"controls\": [\n                {\n                  \"type\": \"text\",\n                  \"name\": \"text\",\n                  \"label\": \"文本\"\n                }\n              ]\n            }\n          }\n        }\n      }\n    </script></div>\n</li>\n</ul>\n",
    "toc": {
      "label": "目录",
      "type": "toc",
      "children": [
        {
          "label": "Action",
          "fragment": "action",
          "fullPath": "#action",
          "level": 3
        }
      ],
      "level": 0
    }
  };

});
