define('docs/renderers/CRUD.md', function(require, exports, module) {

  module.exports = {
    "html": "<h3><a class=\"anchor\" name=\"crud\" href=\"#crud\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>CRUD</h3><p>增删改查模型，主要用来展现列表，并支持各类【增】【删】【改】【查】的操作。</p>\n<p>CRUD 支持三种模式：<code>table</code>、<code>cards</code>、<code>list</code>，默认为 <code>table</code>。</p>\n<table>\n<thead>\n<tr>\n<th>属性名</th>\n<th>类型</th>\n<th>默认值</th>\n<th>说明</th>\n</tr>\n</thead>\n<tbody>\n<tr>\n<td>type</td>\n<td><code>string</code></td>\n<td></td>\n<td><code>&quot;Action.md&quot;</code> 指定为 CRUD 渲染器</td>\n</tr>\n<tr>\n<td>mode</td>\n<td><code>string</code></td>\n<td><code>&quot;table&quot;</code></td>\n<td><code>&quot;table&quot; 、 &quot;cards&quot; 或者 &quot;list&quot;</code></td>\n</tr>\n<tr>\n<td>title</td>\n<td><code>string</code></td>\n<td><code>&quot;&quot;</code></td>\n<td>可设置成空，当设置成空时，没有标题栏</td>\n</tr>\n<tr>\n<td>className</td>\n<td><code>string</code></td>\n<td></td>\n<td>表格外层 Dom 的类名</td>\n</tr>\n<tr>\n<td>api</td>\n<td><a href=\"/docs/renderers/Types#Api\">Api</a></td>\n<td></td>\n<td>CRUD 用来获取列表数据的 api。</td>\n</tr>\n<tr>\n<td>filter</td>\n<td><a href=\"/docs/renderers/Form\">Form</a></td>\n<td></td>\n<td>设置过滤器，当该表单提交后，会把数据带给当前 Action.md 刷新列表。</td>\n</tr>\n<tr>\n<td>initFetch</td>\n<td><code>boolean</code></td>\n<td><code>true</code></td>\n<td>是否初始化的时候拉取数据, 只针对有 filter 的情况, 没有 filter 初始都会拉取数据</td>\n</tr>\n<tr>\n<td>interval</td>\n<td><code>number</code></td>\n<td><code>3000</code></td>\n<td>刷新时间(最低 3000)</td>\n</tr>\n<tr>\n<td>silentPolling</td>\n<td><code>boolean</code></td>\n<td><code>false</code></td>\n<td>配置刷新时是否显示加载动画</td>\n</tr>\n<tr>\n<td>stopAutoRefreshWhen</td>\n<td><code>string</code></td>\n<td><code>&quot;&quot;</code></td>\n<td>通过<a href=\"/docs/renderers/Types#表达式\">表达式</a>来配置停止刷新的条件</td>\n</tr>\n<tr>\n<td>syncLocation</td>\n<td><code>boolean</code></td>\n<td><code>true</code></td>\n<td>是否将过滤条件的参数同步到地址栏</td>\n</tr>\n<tr>\n<td>draggable</td>\n<td><code>boolean</code></td>\n<td><code>false</code></td>\n<td>是否可通过拖拽排序</td>\n</tr>\n<tr>\n<td>itemDraggableOn</td>\n<td><code>boolean</code></td>\n<td></td>\n<td>用<a href=\"/docs/renderers/Types#表达式\">表达式</a>来配置是否可拖拽排序</td>\n</tr>\n<tr>\n<td>saveOrderApi</td>\n<td><a href=\"/docs/renderers/Types#Api\">Api</a></td>\n<td></td>\n<td>保存排序的 api。</td>\n</tr>\n<tr>\n<td>quickSaveApi</td>\n<td><a href=\"/docs/renderers/Types#Api\">Api</a></td>\n<td></td>\n<td>快速编辑后用来批量保存的 API。</td>\n</tr>\n<tr>\n<td>quickSaveItemApi</td>\n<td><a href=\"/docs/renderers/Types#Api\">Api</a></td>\n<td></td>\n<td>快速编辑配置成及时保存时使用的 API。</td>\n</tr>\n<tr>\n<td>bulkActions</td>\n<td>Array Of <a href=\"/docs/renderers/Action\">Action</a></td>\n<td></td>\n<td>批量操作列表，配置后，表格可进行选中操作。</td>\n</tr>\n<tr>\n<td>defaultChecked</td>\n<td><code>boolean</code></td>\n<td><code>false</code></td>\n<td>当可批量操作时，默认是否全部勾选。</td>\n</tr>\n<tr>\n<td>messages</td>\n<td><code>Object</code></td>\n<td></td>\n<td>覆盖消息提示，如果不指定，将采用 api 返回的 message</td>\n</tr>\n<tr>\n<td>messages.fetchFailed</td>\n<td><code>string</code></td>\n<td></td>\n<td>获取失败时提示</td>\n</tr>\n<tr>\n<td>messages.saveOrderFailed</td>\n<td><code>string</code></td>\n<td></td>\n<td>保存顺序失败提示</td>\n</tr>\n<tr>\n<td>messages.saveOrderSuccess</td>\n<td><code>string</code></td>\n<td></td>\n<td>保存顺序成功提示</td>\n</tr>\n<tr>\n<td>messages.quickSaveFailed</td>\n<td><code>string</code></td>\n<td></td>\n<td>快速保存失败提示</td>\n</tr>\n<tr>\n<td>messages.quickSaveSuccess</td>\n<td><code>string</code></td>\n<td></td>\n<td>快速保存成功提示</td>\n</tr>\n<tr>\n<td>primaryField</td>\n<td><code>string</code></td>\n<td><code>&quot;id&quot;</code></td>\n<td>设置 ID 字段名。</td>\n</tr>\n<tr>\n<td>defaultParams</td>\n<td><code>Object</code></td>\n<td></td>\n<td>设置默认 filter 默认参数，会在查询的时候一起发给后端</td>\n</tr>\n<tr>\n<td>pageField</td>\n<td><code>string</code></td>\n<td><code>&quot;page&quot;</code></td>\n<td>设置分页页码字段名。</td>\n</tr>\n<tr>\n<td>perPageField</td>\n<td><code>string</code></td>\n<td><code>&quot;perPage&quot;</code></td>\n<td>设置分页一页显示的多少条数据的字段名。注意：最好与 defaultParams 一起使用，请看下面例子。</td>\n</tr>\n<tr>\n<td>orderField</td>\n<td><code>string</code></td>\n<td></td>\n<td>设置用来确定位置的字段名，设置后新的顺序将被赋值到该字段中。</td>\n</tr>\n<tr>\n<td>headerToolbar</td>\n<td>Array</td>\n<td><code>[&#39;bulkActions&#39;, &#39;pagination&#39;]</code></td>\n<td>顶部工具栏配置</td>\n</tr>\n<tr>\n<td>footerToolbar</td>\n<td>Array</td>\n<td><code>[&#39;statistics&#39;, &#39;pagination&#39;]</code></td>\n<td>顶部工具栏配置</td>\n</tr>\n</tbody>\n</table>\n",
    "toc": {
      "label": "目录",
      "type": "toc",
      "children": [
        {
          "label": "CRUD",
          "fragment": "crud",
          "fullPath": "#crud",
          "level": 3
        }
      ],
      "level": 0
    }
  };

});
