define('docs/renderers.md', function(require, exports, module) {

  module.exports = {
    "html": "<h3><a class=\"anchor\" name=\"%E6%B8%B2%E6%9F%93%E5%99%A8%E6%89%8B%E5%86%8C\" href=\"#%E6%B8%B2%E6%9F%93%E5%99%A8%E6%89%8B%E5%86%8C\" aria-hidden=\"true\"><svg aria-hidden=\"true\" class=\"octicon octicon-link\" height=\"16\" version=\"1.1\" viewBox=\"0 0 16 16\" width=\"16\"><path d=\"M4 9h1v1H4c-1.5 0-3-1.69-3-3.5S2.55 3 4 3h4c1.45 0 3 1.69 3 3.5 0 1.41-.91 2.72-2 3.25V8.59c.58-.45 1-1.27 1-2.09C10 5.22 8.98 4 8 4H4c-.98 0-2 1.22-2 2.5S3 9 4 9zm9-3h-1v1h1c1 0 2 1.22 2 2.5S13.98 12 13 12H9c-.98 0-2-1.22-2-2.5 0-.83.42-1.64 1-2.09V6.25c-1.09.53-2 1.84-2 3.25C6 11.31 7.55 13 9 13h4c1.45 0 3-1.69 3-3.5S14.5 6 13 6z\"></path></svg></a>渲染器手册</h3><p>AMis 页面是通过 JSON 配置出来的，是由一个一个渲染模型组成的，掌握他们规则，就能灵活配置出各种页面。</p>\n<ul>\n<li><a href=\"/docs/renderers/Page\">Page</a>: JSON 配置最外层的 Page 渲染器</li>\n<li><a href=\"/docs/renderers/Form\">Form</a>: 表单渲染器<ul>\n<li><a href=\"/docs/renderers/FormItem\">FormItem</a>: Form 中主要是由各种 FormItem 组成<ul>\n<li><a href=\"/docs/renderers/FormItem-List\">FormItem-List</a>: 简单的列表选择框</li>\n<li><a href=\"/docs/renderers/FormItem-Button-Group\">FormItem-Button-Group</a>: 按钮集合</li>\n<li><a href=\"/docs/renderers/FormItem-Service\">FormItem-Service</a>: 动态配置，配置项由接口决定</li>\n<li><a href=\"/docs/renderers/FormItem-Tabs\">FormItem-Tabs</a>: 多个输入框通过选项卡来分组</li>\n<li><a href=\"/docs/renderers/FormItem-Table\">FormItem-Table</a>: 可以用来展示数组类型的数据</li>\n<li><a href=\"/docs/renderers/FormItem-HBox\">FormItem-HBox</a>: 支持 form 内部再用 HBox 布局</li>\n<li><a href=\"/docs/renderers/FormItem-Grid\">FormItem-Grid</a>: 支持 form 内部再用 grid 布局</li>\n<li><a href=\"/docs/renderers/FormItem-Panel\">FormItem-Panel</a>: 还是为了布局，可以把一部分 FormItem 合并到一个 panel 里面单独展示</li>\n</ul>\n</li>\n<li><a href=\"/docs/renderers/Hidden\">Hidden</a>: 隐藏字段类型</li>\n<li><a href=\"/docs/renderers/Text\">Text</a>: 普通的文本输入框</li>\n<li><a href=\"/docs/renderers/Textarea\">Textarea</a>: 多行文本输入框</li>\n<li><a href=\"/docs/renderers/Url\">Url</a>: URL 输入框</li>\n<li><a href=\"/docs/renderers/Email\">Email</a>: Email 输入框</li>\n<li><a href=\"/docs/renderers/Password\">Password</a>: 密码输入框</li>\n<li><a href=\"/docs/renderers/Number\">Number</a>: 数字输入框</li>\n<li><a href=\"/docs/renderers/Divider\">Divider</a>: 分割线</li>\n<li><a href=\"/docs/renderers/Select\">Select</a>: 选项表单</li>\n<li><a href=\"/docs/renderers/Chained-Select\">Chained-Select</a>: 无限级别下拉</li>\n<li><a href=\"/docs/renderers/Checkbox\">Checkbox</a>: 勾选框</li>\n<li><a href=\"/docs/renderers/Checkboxes\">Checkboxes</a>: 复选框</li>\n<li><a href=\"/docs/renderers/Radios\">Radios</a>: 单选框</li>\n<li><a href=\"/docs/renderers/Switch\">Switch</a>: 可选框，和 checkbox 完全等价</li>\n<li><a href=\"/docs/renderers/Date\">Date</a>: 日期类型</li>\n<li><a href=\"/docs/renderers/Datetime\">Datetime</a>: 日期时间类型</li>\n<li><a href=\"/docs/renderers/Time\">Time</a>: 时间类型</li>\n<li><a href=\"/docs/renderers/Date-Range\">Date-Range</a>: 日期范围类型</li>\n<li><a href=\"/docs/renderers/Color\">Color</a>: 颜色选择器</li>\n<li><a href=\"/docs/renderers/Range\">Range</a>: 范围输入框</li>\n<li><a href=\"/docs/renderers/Image\">Image</a>: 图片格式输</li>\n<li><a href=\"/docs/renderers/File\">File</a>: 文件输入</li>\n<li><a href=\"/docs/renderers/Matrix\">Matrix</a>: 矩阵类型的输入框</li>\n<li><a href=\"/docs/renderers/Tree\">Tree</a>: 树形结构输入框</li>\n<li><a href=\"/docs/renderers/TreeSelect\">TreeSelect</a>: 树形结构选择框</li>\n<li><a href=\"/docs/renderers/NestedSelect\">NestedSelect</a>: 树形结构选择框</li>\n<li><a href=\"/docs/renderers/Button\">Button</a>: 按钮, 包含 button、submit 和 reset</li>\n<li><a href=\"/docs/renderers/Button-Toolbar\">Button-Toolbar</a>: 让多个按钮在一起放置</li>\n<li><a href=\"/docs/renderers/Combo\">Combo</a>: 组合模式</li>\n<li><a href=\"/docs/renderers/Array\">Array</a>: 数组输入框配置</li>\n<li><a href=\"/docs/renderers/SubForm\">SubForm</a>: formItem 还可以是子表单类型</li>\n<li><a href=\"/docs/renderers/Picker\">Picker</a>: 列表选取</li>\n<li><a href=\"/docs/renderers/Formula\">Formula</a>: 公式类型</li>\n<li><a href=\"/docs/renderers/Group\">Group</a>: 表单项集合</li>\n<li><a href=\"/docs/renderers/FieldSet\">FieldSet</a>: 多个输入框可以通过 fieldSet 捆绑在一起</li>\n<li><a href=\"/docs/renderers/Repeat\">Repeat</a>: 可用来设置重复频率</li>\n<li><a href=\"/docs/renderers/Rich-Text\">Rich-Text</a>: 富文本编辑器</li>\n<li><a href=\"/docs/renderers/Editor\">Editor</a>: 编辑器</li>\n<li><a href=\"/docs/renderers/Static\">Static</a>: 纯用来展现数据的</li>\n</ul>\n</li>\n<li><a href=\"/docs/renderers/Wizard\">Wizard</a>: 表单向导</li>\n<li><a href=\"/docs/renderers/Tpl\">Tpl</a>: 支持用 JS 模板引擎来组织输出</li>\n<li><a href=\"/docs/renderers/Plain\">Plain</a>: 单纯的文字输出</li>\n<li><a href=\"/docs/renderers/Html\">Html</a>: html, 当需要用到变量时，请用 Tpl 代替</li>\n<li><a href=\"/docs/renderers/Action\">Action</a>: 一种特殊的渲染器，它本身是一个按钮，同时它能触发事件</li>\n<li><a href=\"/docs/renderers/Dialog\">Dialog</a>: Dialog 由 Action 触发。他是一个类似于 Page 的容器模型</li>\n<li><a href=\"/docs/renderers/Drawer\">Drawer</a>: Drawer 由 Action 触发</li>\n<li><a href=\"/docs/renderers/CRUD\">CRUD</a>: 增删改查模型，主要用来展现列表<ul>\n<li><a href=\"/docs/renderers/CRUD-Table\">CRUD-Table</a>: 请参考 Table</li>\n<li><a href=\"/docs/renderers/CRUD-Cards\">CRUD-Cards</a>: 请参考 Cards</li>\n<li><a href=\"/docs/renderers/CRUD-List\">CRUD-List</a>: 请参考 List</li>\n</ul>\n</li>\n<li><a href=\"/docs/renderers/Panel\">Panel</a>: 可以把相关信息以盒子的形式展示到一块。</li>\n<li><a href=\"/docs/renderers/Wrapper\">Wrapper</a>: 简单的一个容器。</li>\n<li><a href=\"/docs/renderers/Service\">Service</a>: 功能型容器，自身不负责展示内容，主要职责在于通过配置的 api 拉取数据</li>\n<li><a href=\"/docs/renderers/Chart\">Chart</a>: 图表渲染器</li>\n<li><a href=\"/docs/renderers/Collapse\">Collapse</a>: 折叠器</li>\n<li><a href=\"/docs/renderers/Audio\">Audio</a>: 音频播放器</li>\n<li><a href=\"/docs/renderers/Video\">Video</a>: 视频播放器</li>\n<li><a href=\"/docs/renderers/Table\">Table</a>: 表格展示<ul>\n<li><a href=\"/docs/renderers/Column\">Column</a>: 表格中的列配置</li>\n</ul>\n</li>\n<li><a href=\"/docs/renderers/List\">List</a>: 列表展示</li>\n<li><a href=\"/docs/renderers/Card\">Card</a>: 卡片的展示形式</li>\n<li><a href=\"/docs/renderers/Cards\">Cards</a>: 卡片集合</li>\n<li><a href=\"/docs/renderers/Field\">Field</a>: 主要用在 Table 的列配置 Column、List 的内容、Card 卡片的内容和表单的 Static-XXX 中</li>\n<li><a href=\"/docs/renderers/Tabs\">Tabs</a>: 标签页</li>\n<li><a href=\"/docs/renderers/Grid\">Grid</a>: Grid 布局</li>\n<li><a href=\"/docs/renderers/HBox\">HBox</a>: HBox 布局</li>\n<li><a href=\"/docs/renderers/Button-Group\">Button-Group</a>： 按钮集合</li>\n<li><a href=\"/docs/renderers/iFrame\">iFrame</a>： 如果需要内嵌外部站点，可用 iframe 来实现</li>\n<li><a href=\"/docs/renderers/Nav\">Nav</a>: 菜单栏</li>\n<li><a href=\"/docs/renderers/Tasks\">Tasks</a>: 任务操作集合，类似于 orp 上线</li>\n<li><a href=\"/docs/renderers/QRCode\">QRCode</a>: 二维码显示组件</li>\n<li><a href=\"/docs/renderers/Types\">Types</a>: 类型说明文档</li>\n</ul>\n",
    "toc": {
      "label": "目录",
      "type": "toc",
      "children": [
        {
          "label": "渲染器手册",
          "fragment": "%E6%B8%B2%E6%9F%93%E5%99%A8%E6%89%8B%E5%86%8C",
          "fullPath": "#%E6%B8%B2%E6%9F%93%E5%99%A8%E6%89%8B%E5%86%8C",
          "level": 3
        }
      ],
      "level": 0
    }
  };

});
